import iris
import rpy2.robjects.packages
import rpy2.robjects as robjects
from rpy2.robjects.numpy2ri import numpy2ri
import timeit
import numpy as np

base = rpy2.robjects.packages.importr('base')
s2dvR = rpy2.robjects.packages.importr('s2dverification')

filename = '/esnas/exp/CMIP5/historical/ecearth/cmip5-historical_i0p1/monthly_mean/tas/tas_19601101.nc'


cube = iris.load(filename)

if __name__=='__main__':
    from timeit import Timer
    t = Timer(lambda: s2dvR.Mean1Dim(numpy2ri(cube[0].data), posdim = 2))
    
print(t.timeit(number = 1))
cube2 = s2dvR.Mean1Dim(numpy2ri(cube[0].data), posdim = 2)
cube2 = np.array(cube2).reshape(120, 1, 160, 320)
cube2 = np.transpose(cube2, [3,2,1, 0])

 
if __name__=='__main__':
    from timeit import Timer
    t = Timer(lambda: s2dvR.Clim(numpy2ri(cube2), numpy2ri(cube2)))
    
print(t.timeit(number = 1))