library(ncdf4)
library(s2dverification)
filename = '/esnas/exp/CMIP5/historical/ecearth/cmip5-historical_i0p1/monthly_mean/tas/tas_19601101.nc'

system.time({
  var <- nc_open(filename)
  var_data <- ncvar_get(var, "tas")
})

system.time({
  var_data <- Mean1Dim(var_data,3)
})

system.time({
  var_data <- Clim(InsertDim(var_data,3, 1), InsertDim(var_data, 3, 1))
})